Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.32.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
19.32.0.0
Broadcast address
19.63.255.255
First usable
19.32.0.1
Last usable
19.63.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 13200000 · Integer 320864256 to 322961407
Reverse DNS zones
32.19.in-addr.arpa
33.19.in-addr.arpa
34.19.in-addr.arpa
35.19.in-addr.arpa
36.19.in-addr.arpa
37.19.in-addr.arpa
38.19.in-addr.arpa
39.19.in-addr.arpa
40.19.in-addr.arpa
41.19.in-addr.arpa
42.19.in-addr.arpa
43.19.in-addr.arpa
44.19.in-addr.arpa
45.19.in-addr.arpa
46.19.in-addr.arpa
47.19.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.00100000.00000000.0000000019.32.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010011.00100000.00000000.0000000019.32.0.0
Broadcast00010011.00111111.11111111.1111111119.63.255.255
Split into smaller subnets/23

19.32.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.32.0.0/2319.32.0.1 to 19.32.1.25419.32.1.255510
219.32.2.0/2319.32.2.1 to 19.32.3.25419.32.3.255510
319.32.4.0/2319.32.4.1 to 19.32.5.25419.32.5.255510
419.32.6.0/2319.32.6.1 to 19.32.7.25419.32.7.255510
519.32.8.0/2319.32.8.1 to 19.32.9.25419.32.9.255510
619.32.10.0/2319.32.10.1 to 19.32.11.25419.32.11.255510
719.32.12.0/2319.32.12.1 to 19.32.13.25419.32.13.255510
819.32.14.0/2319.32.14.1 to 19.32.15.25419.32.15.255510
919.32.16.0/2319.32.16.1 to 19.32.17.25419.32.17.255510
1019.32.18.0/2319.32.18.1 to 19.32.19.25419.32.19.255510
1119.32.20.0/2319.32.20.1 to 19.32.21.25419.32.21.255510
1219.32.22.0/2319.32.22.1 to 19.32.23.25419.32.23.255510
1319.32.24.0/2319.32.24.1 to 19.32.25.25419.32.25.255510
1419.32.26.0/2319.32.26.1 to 19.32.27.25419.32.27.255510
1519.32.28.0/2319.32.28.1 to 19.32.29.25419.32.29.255510
1619.32.30.0/2319.32.30.1 to 19.32.31.25419.32.31.255510
1719.32.32.0/2319.32.32.1 to 19.32.33.25419.32.33.255510
1819.32.34.0/2319.32.34.1 to 19.32.35.25419.32.35.255510
1919.32.36.0/2319.32.36.1 to 19.32.37.25419.32.37.255510
2019.32.38.0/2319.32.38.1 to 19.32.39.25419.32.39.255510
2119.32.40.0/2319.32.40.1 to 19.32.41.25419.32.41.255510
2219.32.42.0/2319.32.42.1 to 19.32.43.25419.32.43.255510
2319.32.44.0/2319.32.44.1 to 19.32.45.25419.32.45.255510
2419.32.46.0/2319.32.46.1 to 19.32.47.25419.32.47.255510
2519.32.48.0/2319.32.48.1 to 19.32.49.25419.32.49.255510
2619.32.50.0/2319.32.50.1 to 19.32.51.25419.32.51.255510
2719.32.52.0/2319.32.52.1 to 19.32.53.25419.32.53.255510
2819.32.54.0/2319.32.54.1 to 19.32.55.25419.32.55.255510
2919.32.56.0/2319.32.56.1 to 19.32.57.25419.32.57.255510
3019.32.58.0/2319.32.58.1 to 19.32.59.25419.32.59.255510
3119.32.60.0/2319.32.60.1 to 19.32.61.25419.32.61.255510
3219.32.62.0/2319.32.62.1 to 19.32.63.25419.32.63.255510
3319.32.64.0/2319.32.64.1 to 19.32.65.25419.32.65.255510
3419.32.66.0/2319.32.66.1 to 19.32.67.25419.32.67.255510
3519.32.68.0/2319.32.68.1 to 19.32.69.25419.32.69.255510
3619.32.70.0/2319.32.70.1 to 19.32.71.25419.32.71.255510
3719.32.72.0/2319.32.72.1 to 19.32.73.25419.32.73.255510
3819.32.74.0/2319.32.74.1 to 19.32.75.25419.32.75.255510
3919.32.76.0/2319.32.76.1 to 19.32.77.25419.32.77.255510
4019.32.78.0/2319.32.78.1 to 19.32.79.25419.32.79.255510
4119.32.80.0/2319.32.80.1 to 19.32.81.25419.32.81.255510
4219.32.82.0/2319.32.82.1 to 19.32.83.25419.32.83.255510
4319.32.84.0/2319.32.84.1 to 19.32.85.25419.32.85.255510
4419.32.86.0/2319.32.86.1 to 19.32.87.25419.32.87.255510
4519.32.88.0/2319.32.88.1 to 19.32.89.25419.32.89.255510
4619.32.90.0/2319.32.90.1 to 19.32.91.25419.32.91.255510
4719.32.92.0/2319.32.92.1 to 19.32.93.25419.32.93.255510
4819.32.94.0/2319.32.94.1 to 19.32.95.25419.32.95.255510
4919.32.96.0/2319.32.96.1 to 19.32.97.25419.32.97.255510
5019.32.98.0/2319.32.98.1 to 19.32.99.25419.32.99.255510
5119.32.100.0/2319.32.100.1 to 19.32.101.25419.32.101.255510
5219.32.102.0/2319.32.102.1 to 19.32.103.25419.32.103.255510
5319.32.104.0/2319.32.104.1 to 19.32.105.25419.32.105.255510
5419.32.106.0/2319.32.106.1 to 19.32.107.25419.32.107.255510
5519.32.108.0/2319.32.108.1 to 19.32.109.25419.32.109.255510
5619.32.110.0/2319.32.110.1 to 19.32.111.25419.32.111.255510
5719.32.112.0/2319.32.112.1 to 19.32.113.25419.32.113.255510
5819.32.114.0/2319.32.114.1 to 19.32.115.25419.32.115.255510
5919.32.116.0/2319.32.116.1 to 19.32.117.25419.32.117.255510
6019.32.118.0/2319.32.118.1 to 19.32.119.25419.32.119.255510
6119.32.120.0/2319.32.120.1 to 19.32.121.25419.32.121.255510
6219.32.122.0/2319.32.122.1 to 19.32.123.25419.32.123.255510
6319.32.124.0/2319.32.124.1 to 19.32.125.25419.32.125.255510
6419.32.126.0/2319.32.126.1 to 19.32.127.25419.32.127.255510
6519.32.128.0/2319.32.128.1 to 19.32.129.25419.32.129.255510
6619.32.130.0/2319.32.130.1 to 19.32.131.25419.32.131.255510
6719.32.132.0/2319.32.132.1 to 19.32.133.25419.32.133.255510
6819.32.134.0/2319.32.134.1 to 19.32.135.25419.32.135.255510
6919.32.136.0/2319.32.136.1 to 19.32.137.25419.32.137.255510
7019.32.138.0/2319.32.138.1 to 19.32.139.25419.32.139.255510
7119.32.140.0/2319.32.140.1 to 19.32.141.25419.32.141.255510
7219.32.142.0/2319.32.142.1 to 19.32.143.25419.32.143.255510
7319.32.144.0/2319.32.144.1 to 19.32.145.25419.32.145.255510
7419.32.146.0/2319.32.146.1 to 19.32.147.25419.32.147.255510
7519.32.148.0/2319.32.148.1 to 19.32.149.25419.32.149.255510
7619.32.150.0/2319.32.150.1 to 19.32.151.25419.32.151.255510
7719.32.152.0/2319.32.152.1 to 19.32.153.25419.32.153.255510
7819.32.154.0/2319.32.154.1 to 19.32.155.25419.32.155.255510
7919.32.156.0/2319.32.156.1 to 19.32.157.25419.32.157.255510
8019.32.158.0/2319.32.158.1 to 19.32.159.25419.32.159.255510
8119.32.160.0/2319.32.160.1 to 19.32.161.25419.32.161.255510
8219.32.162.0/2319.32.162.1 to 19.32.163.25419.32.163.255510
8319.32.164.0/2319.32.164.1 to 19.32.165.25419.32.165.255510
8419.32.166.0/2319.32.166.1 to 19.32.167.25419.32.167.255510
8519.32.168.0/2319.32.168.1 to 19.32.169.25419.32.169.255510
8619.32.170.0/2319.32.170.1 to 19.32.171.25419.32.171.255510
8719.32.172.0/2319.32.172.1 to 19.32.173.25419.32.173.255510
8819.32.174.0/2319.32.174.1 to 19.32.175.25419.32.175.255510
8919.32.176.0/2319.32.176.1 to 19.32.177.25419.32.177.255510
9019.32.178.0/2319.32.178.1 to 19.32.179.25419.32.179.255510
9119.32.180.0/2319.32.180.1 to 19.32.181.25419.32.181.255510
9219.32.182.0/2319.32.182.1 to 19.32.183.25419.32.183.255510
9319.32.184.0/2319.32.184.1 to 19.32.185.25419.32.185.255510
9419.32.186.0/2319.32.186.1 to 19.32.187.25419.32.187.255510
9519.32.188.0/2319.32.188.1 to 19.32.189.25419.32.189.255510
9619.32.190.0/2319.32.190.1 to 19.32.191.25419.32.191.255510
9719.32.192.0/2319.32.192.1 to 19.32.193.25419.32.193.255510
9819.32.194.0/2319.32.194.1 to 19.32.195.25419.32.195.255510
9919.32.196.0/2319.32.196.1 to 19.32.197.25419.32.197.255510
10019.32.198.0/2319.32.198.1 to 19.32.199.25419.32.199.255510
10119.32.200.0/2319.32.200.1 to 19.32.201.25419.32.201.255510
10219.32.202.0/2319.32.202.1 to 19.32.203.25419.32.203.255510
10319.32.204.0/2319.32.204.1 to 19.32.205.25419.32.205.255510
10419.32.206.0/2319.32.206.1 to 19.32.207.25419.32.207.255510
10519.32.208.0/2319.32.208.1 to 19.32.209.25419.32.209.255510
10619.32.210.0/2319.32.210.1 to 19.32.211.25419.32.211.255510
10719.32.212.0/2319.32.212.1 to 19.32.213.25419.32.213.255510
10819.32.214.0/2319.32.214.1 to 19.32.215.25419.32.215.255510
10919.32.216.0/2319.32.216.1 to 19.32.217.25419.32.217.255510
11019.32.218.0/2319.32.218.1 to 19.32.219.25419.32.219.255510
11119.32.220.0/2319.32.220.1 to 19.32.221.25419.32.221.255510
11219.32.222.0/2319.32.222.1 to 19.32.223.25419.32.223.255510
11319.32.224.0/2319.32.224.1 to 19.32.225.25419.32.225.255510
11419.32.226.0/2319.32.226.1 to 19.32.227.25419.32.227.255510
11519.32.228.0/2319.32.228.1 to 19.32.229.25419.32.229.255510
11619.32.230.0/2319.32.230.1 to 19.32.231.25419.32.231.255510
11719.32.232.0/2319.32.232.1 to 19.32.233.25419.32.233.255510
11819.32.234.0/2319.32.234.1 to 19.32.235.25419.32.235.255510
11919.32.236.0/2319.32.236.1 to 19.32.237.25419.32.237.255510
12019.32.238.0/2319.32.238.1 to 19.32.239.25419.32.239.255510
12119.32.240.0/2319.32.240.1 to 19.32.241.25419.32.241.255510
12219.32.242.0/2319.32.242.1 to 19.32.243.25419.32.243.255510
12319.32.244.0/2319.32.244.1 to 19.32.245.25419.32.245.255510
12419.32.246.0/2319.32.246.1 to 19.32.247.25419.32.247.255510
12519.32.248.0/2319.32.248.1 to 19.32.249.25419.32.249.255510
12619.32.250.0/2319.32.250.1 to 19.32.251.25419.32.251.255510
12719.32.252.0/2319.32.252.1 to 19.32.253.25419.32.253.255510
12819.32.254.0/2319.32.254.1 to 19.32.255.25419.32.255.255510
12919.33.0.0/2319.33.0.1 to 19.33.1.25419.33.1.255510
13019.33.2.0/2319.33.2.1 to 19.33.3.25419.33.3.255510
13119.33.4.0/2319.33.4.1 to 19.33.5.25419.33.5.255510
13219.33.6.0/2319.33.6.1 to 19.33.7.25419.33.7.255510
13319.33.8.0/2319.33.8.1 to 19.33.9.25419.33.9.255510
13419.33.10.0/2319.33.10.1 to 19.33.11.25419.33.11.255510
13519.33.12.0/2319.33.12.1 to 19.33.13.25419.33.13.255510
13619.33.14.0/2319.33.14.1 to 19.33.15.25419.33.15.255510
13719.33.16.0/2319.33.16.1 to 19.33.17.25419.33.17.255510
13819.33.18.0/2319.33.18.1 to 19.33.19.25419.33.19.255510
13919.33.20.0/2319.33.20.1 to 19.33.21.25419.33.21.255510
14019.33.22.0/2319.33.22.1 to 19.33.23.25419.33.23.255510
14119.33.24.0/2319.33.24.1 to 19.33.25.25419.33.25.255510
14219.33.26.0/2319.33.26.1 to 19.33.27.25419.33.27.255510
14319.33.28.0/2319.33.28.1 to 19.33.29.25419.33.29.255510
14419.33.30.0/2319.33.30.1 to 19.33.31.25419.33.31.255510
14519.33.32.0/2319.33.32.1 to 19.33.33.25419.33.33.255510
14619.33.34.0/2319.33.34.1 to 19.33.35.25419.33.35.255510
14719.33.36.0/2319.33.36.1 to 19.33.37.25419.33.37.255510
14819.33.38.0/2319.33.38.1 to 19.33.39.25419.33.39.255510
14919.33.40.0/2319.33.40.1 to 19.33.41.25419.33.41.255510
15019.33.42.0/2319.33.42.1 to 19.33.43.25419.33.43.255510
15119.33.44.0/2319.33.44.1 to 19.33.45.25419.33.45.255510
15219.33.46.0/2319.33.46.1 to 19.33.47.25419.33.47.255510
15319.33.48.0/2319.33.48.1 to 19.33.49.25419.33.49.255510
15419.33.50.0/2319.33.50.1 to 19.33.51.25419.33.51.255510
15519.33.52.0/2319.33.52.1 to 19.33.53.25419.33.53.255510
15619.33.54.0/2319.33.54.1 to 19.33.55.25419.33.55.255510
15719.33.56.0/2319.33.56.1 to 19.33.57.25419.33.57.255510
15819.33.58.0/2319.33.58.1 to 19.33.59.25419.33.59.255510
15919.33.60.0/2319.33.60.1 to 19.33.61.25419.33.61.255510
16019.33.62.0/2319.33.62.1 to 19.33.63.25419.33.63.255510
16119.33.64.0/2319.33.64.1 to 19.33.65.25419.33.65.255510
16219.33.66.0/2319.33.66.1 to 19.33.67.25419.33.67.255510
16319.33.68.0/2319.33.68.1 to 19.33.69.25419.33.69.255510
16419.33.70.0/2319.33.70.1 to 19.33.71.25419.33.71.255510
16519.33.72.0/2319.33.72.1 to 19.33.73.25419.33.73.255510
16619.33.74.0/2319.33.74.1 to 19.33.75.25419.33.75.255510
16719.33.76.0/2319.33.76.1 to 19.33.77.25419.33.77.255510
16819.33.78.0/2319.33.78.1 to 19.33.79.25419.33.79.255510
16919.33.80.0/2319.33.80.1 to 19.33.81.25419.33.81.255510
17019.33.82.0/2319.33.82.1 to 19.33.83.25419.33.83.255510
17119.33.84.0/2319.33.84.1 to 19.33.85.25419.33.85.255510
17219.33.86.0/2319.33.86.1 to 19.33.87.25419.33.87.255510
17319.33.88.0/2319.33.88.1 to 19.33.89.25419.33.89.255510
17419.33.90.0/2319.33.90.1 to 19.33.91.25419.33.91.255510
17519.33.92.0/2319.33.92.1 to 19.33.93.25419.33.93.255510
17619.33.94.0/2319.33.94.1 to 19.33.95.25419.33.95.255510
17719.33.96.0/2319.33.96.1 to 19.33.97.25419.33.97.255510
17819.33.98.0/2319.33.98.1 to 19.33.99.25419.33.99.255510
17919.33.100.0/2319.33.100.1 to 19.33.101.25419.33.101.255510
18019.33.102.0/2319.33.102.1 to 19.33.103.25419.33.103.255510
18119.33.104.0/2319.33.104.1 to 19.33.105.25419.33.105.255510
18219.33.106.0/2319.33.106.1 to 19.33.107.25419.33.107.255510
18319.33.108.0/2319.33.108.1 to 19.33.109.25419.33.109.255510
18419.33.110.0/2319.33.110.1 to 19.33.111.25419.33.111.255510
18519.33.112.0/2319.33.112.1 to 19.33.113.25419.33.113.255510
18619.33.114.0/2319.33.114.1 to 19.33.115.25419.33.115.255510
18719.33.116.0/2319.33.116.1 to 19.33.117.25419.33.117.255510
18819.33.118.0/2319.33.118.1 to 19.33.119.25419.33.119.255510
18919.33.120.0/2319.33.120.1 to 19.33.121.25419.33.121.255510
19019.33.122.0/2319.33.122.1 to 19.33.123.25419.33.123.255510
19119.33.124.0/2319.33.124.1 to 19.33.125.25419.33.125.255510
19219.33.126.0/2319.33.126.1 to 19.33.127.25419.33.127.255510
19319.33.128.0/2319.33.128.1 to 19.33.129.25419.33.129.255510
19419.33.130.0/2319.33.130.1 to 19.33.131.25419.33.131.255510
19519.33.132.0/2319.33.132.1 to 19.33.133.25419.33.133.255510
19619.33.134.0/2319.33.134.1 to 19.33.135.25419.33.135.255510
19719.33.136.0/2319.33.136.1 to 19.33.137.25419.33.137.255510
19819.33.138.0/2319.33.138.1 to 19.33.139.25419.33.139.255510
19919.33.140.0/2319.33.140.1 to 19.33.141.25419.33.141.255510
20019.33.142.0/2319.33.142.1 to 19.33.143.25419.33.143.255510
20119.33.144.0/2319.33.144.1 to 19.33.145.25419.33.145.255510
20219.33.146.0/2319.33.146.1 to 19.33.147.25419.33.147.255510
20319.33.148.0/2319.33.148.1 to 19.33.149.25419.33.149.255510
20419.33.150.0/2319.33.150.1 to 19.33.151.25419.33.151.255510
20519.33.152.0/2319.33.152.1 to 19.33.153.25419.33.153.255510
20619.33.154.0/2319.33.154.1 to 19.33.155.25419.33.155.255510
20719.33.156.0/2319.33.156.1 to 19.33.157.25419.33.157.255510
20819.33.158.0/2319.33.158.1 to 19.33.159.25419.33.159.255510
20919.33.160.0/2319.33.160.1 to 19.33.161.25419.33.161.255510
21019.33.162.0/2319.33.162.1 to 19.33.163.25419.33.163.255510
21119.33.164.0/2319.33.164.1 to 19.33.165.25419.33.165.255510
21219.33.166.0/2319.33.166.1 to 19.33.167.25419.33.167.255510
21319.33.168.0/2319.33.168.1 to 19.33.169.25419.33.169.255510
21419.33.170.0/2319.33.170.1 to 19.33.171.25419.33.171.255510
21519.33.172.0/2319.33.172.1 to 19.33.173.25419.33.173.255510
21619.33.174.0/2319.33.174.1 to 19.33.175.25419.33.175.255510
21719.33.176.0/2319.33.176.1 to 19.33.177.25419.33.177.255510
21819.33.178.0/2319.33.178.1 to 19.33.179.25419.33.179.255510
21919.33.180.0/2319.33.180.1 to 19.33.181.25419.33.181.255510
22019.33.182.0/2319.33.182.1 to 19.33.183.25419.33.183.255510
22119.33.184.0/2319.33.184.1 to 19.33.185.25419.33.185.255510
22219.33.186.0/2319.33.186.1 to 19.33.187.25419.33.187.255510
22319.33.188.0/2319.33.188.1 to 19.33.189.25419.33.189.255510
22419.33.190.0/2319.33.190.1 to 19.33.191.25419.33.191.255510
22519.33.192.0/2319.33.192.1 to 19.33.193.25419.33.193.255510
22619.33.194.0/2319.33.194.1 to 19.33.195.25419.33.195.255510
22719.33.196.0/2319.33.196.1 to 19.33.197.25419.33.197.255510
22819.33.198.0/2319.33.198.1 to 19.33.199.25419.33.199.255510
22919.33.200.0/2319.33.200.1 to 19.33.201.25419.33.201.255510
23019.33.202.0/2319.33.202.1 to 19.33.203.25419.33.203.255510
23119.33.204.0/2319.33.204.1 to 19.33.205.25419.33.205.255510
23219.33.206.0/2319.33.206.1 to 19.33.207.25419.33.207.255510
23319.33.208.0/2319.33.208.1 to 19.33.209.25419.33.209.255510
23419.33.210.0/2319.33.210.1 to 19.33.211.25419.33.211.255510
23519.33.212.0/2319.33.212.1 to 19.33.213.25419.33.213.255510
23619.33.214.0/2319.33.214.1 to 19.33.215.25419.33.215.255510
23719.33.216.0/2319.33.216.1 to 19.33.217.25419.33.217.255510
23819.33.218.0/2319.33.218.1 to 19.33.219.25419.33.219.255510
23919.33.220.0/2319.33.220.1 to 19.33.221.25419.33.221.255510
24019.33.222.0/2319.33.222.1 to 19.33.223.25419.33.223.255510
24119.33.224.0/2319.33.224.1 to 19.33.225.25419.33.225.255510
24219.33.226.0/2319.33.226.1 to 19.33.227.25419.33.227.255510
24319.33.228.0/2319.33.228.1 to 19.33.229.25419.33.229.255510
24419.33.230.0/2319.33.230.1 to 19.33.231.25419.33.231.255510
24519.33.232.0/2319.33.232.1 to 19.33.233.25419.33.233.255510
24619.33.234.0/2319.33.234.1 to 19.33.235.25419.33.235.255510
24719.33.236.0/2319.33.236.1 to 19.33.237.25419.33.237.255510
24819.33.238.0/2319.33.238.1 to 19.33.239.25419.33.239.255510
24919.33.240.0/2319.33.240.1 to 19.33.241.25419.33.241.255510
25019.33.242.0/2319.33.242.1 to 19.33.243.25419.33.243.255510
25119.33.244.0/2319.33.244.1 to 19.33.245.25419.33.245.255510
25219.33.246.0/2319.33.246.1 to 19.33.247.25419.33.247.255510
25319.33.248.0/2319.33.248.1 to 19.33.249.25419.33.249.255510
25419.33.250.0/2319.33.250.1 to 19.33.251.25419.33.251.255510
25519.33.252.0/2319.33.252.1 to 19.33.253.25419.33.253.255510
25619.33.254.0/2319.33.254.1 to 19.33.255.25419.33.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses